<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--    ________________________________________________________________

           File: xml2bibhtml.xsl
        Version: 1.02
           Date: 2002-August-14
         Author: Michael Auth; 
                 Developed developed at the Department of Linguistics
                 of the University of Tuebingen, Germany.
        
        Info: This stylesheet does...
        *****************************
        - ... call the "bibtex_html"-template from the stylesheet
          "xml2bib.xsl".
          This template writes each BibTeX entry to an external
          HTML file, which is linked with the BibTeX-image of each
          entry in the main html-files.
        ________________________________________________________________

-->


<!-- Import the stylesheet "xml2bib.xsl" that handles the transformation
     from XML back to BibTeX.
     This stylesheet is used to generate the BibTeX-HTML files
     showing each entry in BibTeX style in a single HTML file: -->
    <xsl:import href="xml2bib.xsl"/>

<!-- Set the output options of the result tree: -->
    <xsl:output method="text" encoding="US-ASCII" indent="yes"/>

<!-- Save the root node of the basic XML file (so it won't mix up
     with "definitions.xml", which will be included later): -->
    <xsl:variable name="main" select="/"/>


<!-- Main Template - Start Parsing: -->
<xsl:template match="/">
   <!-- Call the template from the stylesheet xml2bib.xsl (access possible
        due to xsl:include) that writes each entry to an external html-file:
        This file is linked with the BibTeX-image of each entry
        in the html-file (list.html) which shows all publications.
        The name of the file is set by the label of the BibTeX-entry -->
   <xsl:call-template name="bibtex_html"/>
   
</xsl:template>


</xsl:stylesheet>

